OrcValue (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapred

## Class OrcValue

- java.lang.Object
- - org.apache.orc.mapred.OrcValue

- All Implemented Interfaces:
    Writable, JobConfigurable

      public final class OrcValue
      extends Object
      implements Writable, JobConfigurable

  This type provides a wrapper for OrcStruct so that it can be sent through the MapReduce shuffle as a value. The user should set the JobConf with orc.mapred.value.type with the type string of the type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WritableComparable` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcValue()`
    `OrcValue(WritableComparable value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(JobConf conf)`
    `void` | `readFields(DataInput dataInput)`
    `void` | `write(DataOutput dataOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public WritableComparable value

  - ### Constructor Detail

    - #### OrcValue

          public OrcValue(WritableComparable value)

    - #### OrcValue

          public OrcValue()

  - ### Method Detail

    - #### write

          public void write(DataOutput dataOutput)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput dataInput)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### configure

          public void configure(JobConf conf)

      Specified by:
        `configure` in interface `JobConfigurable`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.